from datetime import datetime
from datetime import timedelta


def date_range(start_date, end_date, interval=None):
    if not interval:
        interval = timedelta(days=1)
    current_date = start_date
    while current_date <= end_date:
        yield current_date
        current_date += interval
