#!/usr/bin/env python
import datetime
import mcidasx
import os

user = 'DEMO'
proj = 1234
group = 'BLIZZARD'
descriptor = 'IMAGES'
server = 'arcserv2.ssec.wisc.edu'

os.environ['PATH'] = '/home/mcidas/bin:%s' % os.environ['PATH']
os.environ['MCPATH'] = '%s/mcidas/data:/home/mcidas/data' % os.environ['HOME']

mcenv = mcidasx.mcidas.mcenv()
mcenv.logon('%s %d' % (user, proj))
mcenv.dataloc('ADD %s %s' % (group, server))
img_date = datetime.date(1993, 3, 13)
result = mcenv.imglist('%s/%s DAY=%s TIME=%s FORM=ALL' % (group, descriptor, img_date.strftime('%y%j'), '12 18'))

print result.stdout